Bug 487732 - svn.core.SubversionException DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
svn.core.SubversionException DeprecationWarning: BaseException.message has be...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 12:41 EST by Mads Kiilerich
Modified: 2010-12-05 02:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:00:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2009-02-27 12:41:20 EST
Description of problem:

(This version of) Subversion python bindings uses functionality that has been deprecated:

/usr/lib/python2.6/site-packages/svn/core.py:52: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  self.message = message

Version-Release number of selected component (if applicable):
subversion-1.5.5-5.i386

How reproducible:
Seen with Mercurial test suite
Comment 1 Neal Becker 2009-02-27 13:12:15 EST
I don't suppose there is any action I need to take with respect to the mercurial package?
Comment 2 Mads Kiilerich 2009-02-27 13:28:04 EST
Neal: If the subversion package is installed then the mercurial test suite will fail in rawhide. No action from you is directly required. But it might influence your actions as Mercurial package maintainer or not; I can't tell ...
Comment 3 Joe Orton 2009-03-09 12:47:28 EDT
Can you test 1.5.6-3 from Raw Hide?

http://koji.fedoraproject.org/koji/buildinfo?buildID=93468
Comment 4 Mads Kiilerich 2009-03-09 13:17:54 EDT
No, is not solved with subversion-1.5.6-3.i586. Should it be solved, or was it just a long shot?

A simple test case:

$ python
Python 2.6 (r26:66714, Feb 26 2009, 17:32:42) 
[GCC 4.4.0 20090219 (Red Hat 4.4.0-0.21)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import svn.core
>>> svn.core.SubversionException()
/usr/lib/python2.6/site-packages/svn/core.py:52: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  self.message = message
SubversionException()
>>>
Comment 5 Joe Orton 2009-03-10 04:22:20 EDT
Sorry, no, I added that comment to the wrong bug.

Have you reported this problem upstream?
Comment 6 Mads Kiilerich 2009-03-10 07:52:26 EDT
No, I haven't reported it upstream.

I am not familiar with this upstream at all. Of course, in theory I could have taken it all the way and fixed it upstream, but my real choice was to file it here or do nothing. I am sure the Fedora package maintainer have the right contact information, is subscribed to the right mailing lists, know and is respected by the right people, have an account in their tracker, and thus easily can forward it upstream.

At a quick glance it looks like upstream focus on 1.6 which might be ready for F11. Unfortunately 1.6rc2 also don't support / isn't supported by python 2.6 :-(

As a workaround for F11 I propose this hack which "solves" _my_ problem:

--- /usr/lib/python2.6/site-packages/svn/core.py.org	2009-03-10 12:41:10.000000000 +0100
+++ /usr/lib/python2.6/site-packages/svn/core.py	2009-03-10 12:42:53.000000000 +0100
@@ -19,6 +19,7 @@
 from libsvn.core import *
 import libsvn.core as _libsvncore
 import atexit as _atexit
+import warnings
 
 class SubversionException(Exception):
   def __init__(self, message=None, apr_err=None, child=None,
@@ -49,7 +50,9 @@
     Exception.__init__(self, *args)
 
     self.apr_err = apr_err
-    self.message = message
+    with warnings.catch_warnings():
+        warnings.simplefilter("ignore", DeprecationWarning)
+        self.message = message
     self.child = child
     self.file = file
     self.line = line
Comment 7 Felix Schwarz 2009-03-26 05:22:34 EDT
According to Subversion's bug reporting guidelines I posted a message on their developer mailing list (pending approval):
http://subversion.tigris.org/ds/viewMessage.do?dsForumId=462&dsMessageId=1427531

Hopefully, the developers consider this a bug too so I can file a ticket upstream.
Comment 8 Felix Schwarz 2009-03-27 05:12:08 EDT
Subversion developers don't see this as a bug:
http://subversion.tigris.org/ds/viewMessage.do?dsForumId=462&dsMessageId=1427466

One of the warnings is fixed in Subversion 1.6. The other one will be fixed for Subversion 1.7.
Comment 9 Mads Kiilerich 2009-03-27 11:07:23 EDT
Subversion 1.6.0 has been released. I tried to update the Fedora rpms to the new version, but the problem is still there. (Dropped all patches except the rpath patch which I updated.)

So basically the situation is that subversion isn't ready for python 2.6. Fedora has moved to python 2.6. Fedora thus has to apply patches to make it work until upstream wakes up. IMHO the patch in comment #6 is better than nothing.
Comment 10 Bug Zapper 2009-06-09 07:42:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Mads Kiilerich 2010-01-13 17:45:33 EST
Problem also found with subversion-1.6.6-1.fc12.i686
Comment 12 Bug Zapper 2010-11-04 07:28:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-05 02:00:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.